# Steps to Deploy Math Server

## Prerequisites

1. Ensure Python 3.x is installed on your system.
2. Verify that the `pip` package manager is installed.

## Installation

1. Clone the repository:
    ```bash
    git clone https://git.selfmade.ninja/sanjay057/math_server_firewall.git
    cd math_server
    ```

2. Install the required dependencies:
    * For Bash:
        ```bash
        sudo apt install python3
        sudo apt-get install telnetd
        ```

## Running the Server

1. Start the server:
    ```bash
    python3 mathserver.py
    ```

2. The server will open port 3074. You can connect using `telnet` or `nc` (netcat) tools.

3. To change the port, modify the code accordingly.

## Testing the Server

1. Use a tool like `telnet` or `nc` to connect to the server.

2. Example using `telnet`:
    ```bash
    telnet localhost 3074
    ```
    ```
    Trying ::1...
    Connection failed: Connection refused
    Trying 127.0.0.1...
    Connected to localhost.
    Escape character is '^]'.
    Simple Math Server developed by LAHTP

    Enter any math expressions, and I will answer you. Type 'quit' or 'exit' to close.

    $ 34+6
    40
    ```

3. Example using `nc` (netcat):
    ```bash
    echo "34+6" | nc localhost 3074
    ```
    ```
    40
    ```
